import sqlite3

# připojení k SQLite-databázi
connection = sqlite3.connect('../monitory.sqlite')
cursor = connection.cursor()

# zpracování dat
cursor.execute('''
    SELECT * FROM monitory;
''')
with open('5.html', mode='tw', encoding='utf-8') as soubor:
    soubor.write('<table border>\n')
    # hlavičkový řádek
    soubor.write('<tr>\n')
    soubor.write('''
        <th>brand</th>
        <th>model</th>
        <th>size</th>
        <th>hres</th>
        <th>vres</th>
        <th>aspect</th>
        <th>inputs</th>
        <th>support</th>
        <th>year</th>
        <th>comments</th>
    ''')
    soubor.write('</tr>\n')
    # data
    for řádka in cursor:
        _, brand, model, size, hres, vres, aspect, inputs, support, year, comments = řádka
        soubor.write(f'''
            <tr>
                <td>{brand}</td>
                <td>{model}</td>
                <td>{size}</td>
                <td>{hres}</td>
                <td>{vres}</td>
                <td>{aspect}</td>
                <td>{inputs}</td>
                <td>{support}</td>
                <td>{year}</td>
                <td>{comments}</td>
            </tr>
        ''')
    # konec
    soubor.write('</table>\n')

# uzavření spojení
cursor.close()
connection.close()
