import sqlite3

# připojení k SQLite-databázi
connection = sqlite3.connect('../monitory.sqlite')
cursor = connection.cursor()

# zpracování dat
cursor.execute('''
    SELECT * FROM monitory;
''')
with open('5b.html', mode='tw', encoding='utf-8') as soubor:
    soubor.write('<table border="border">\n')
    # hlavičkový řádek
    soubor.write('<tr>\n')
    soubor.write('''
        <th>brand</th>
        <th>model</th>
        <th>size</th>
        <th>hres</th>
        <th>vres</th>
        <th>aspect</th>
        <th>inputs</th>
        <th>support</th>
        <th>year</th>
        <th>comments</th>
    ''')
    soubor.write('</tr>\n')
    # data
    for řádka in cursor:
        #_, brand, model, size, hres, vres, aspect, inputs, support, year, comments = řádka
        soubor.write('<tr>\n')
        for data in řádka[1:]:
            soubor.write(f'  <td>{data}</td>\n')
        soubor.write('</tr>\n')
    # konec
    soubor.write('</table>\n')

# uzavření spojení
cursor.close()
connection.close()
