import sqlite3

# připojení k SQLite-databázi
connection = sqlite3.connect('../monitory.sqlite')
cursor = connection.cursor()

# zpracování dat
cursor.execute('''
    SELECT * FROM monitory;
''')
with open('3.csv', mode='tw', encoding='utf-8') as soubor:
    soubor.write('brand\tmodel\tsize\thres\tvres\taspect\tinputs\tsupport\tyear\tcomments\n')
    for řádka in cursor:
        _, brand, model, size, hres, vres, aspect, inputs, support, year, comments = řádka
        #print(_)
        print(
            '\t'.join(
                (brand, model, size, hres, vres, aspect, inputs, support, year, comments)
            ),
            file=soubor
        )

# uzavření spojení
cursor.close()
connection.close()
